FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202106090743.p0.git.e7955cf BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106090743.p0.git.e7955cf SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e7955cf OS_GIT_VERSION=4.7.0-202106090743.p0.git.e7955cf-e7955cf SOURCE_DATE_EPOCH=1622060319 SOURCE_GIT_COMMIT=e7955cf0b199caa53726431df5d8800be5af049a SOURCE_GIT_TAG=e7955cf0 SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
WORKDIR /go/src/github.com/openshift/insights-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.7.0.20210609.080519
ENV __doozer=update BUILD_RELEASE=202106090743.p0.git.e7955cf BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202106090743.p0.git.e7955cf SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e7955cf OS_GIT_VERSION=4.7.0-202106090743.p0.git.e7955cf-e7955cf SOURCE_DATE_EPOCH=1622060319 SOURCE_GIT_COMMIT=e7955cf0b199caa53726431df5d8800be5af049a SOURCE_GIT_TAG=e7955cf0 SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
COPY --from=builder /go/src/github.com/openshift/insights-operator/bin/insights-operator /usr/bin/
COPY config/pod.yaml /etc/insights-operator/server.yaml
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/insights-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-insights-operator" \
        com.redhat.component="ose-insights-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Insights operator" \
        release="202106090743.p0.git.e7955cf" \
        io.openshift.build.commit.id="e7955cf0b199caa53726431df5d8800be5af049a" \
        io.openshift.build.source-location="https://github.com/openshift/insights-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/insights-operator/commit/e7955cf0b199caa53726431df5d8800be5af049a" \
        version="v4.7.0"

